# rust-x25519-dalek.spec
# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate x25519-dalek

Name:           rust-%{crate}
Version:        1.2.0
Release:        1%{?dist}.1
Summary:        X25519 elliptic curve Diffie-Hellman key exchange in pure-Rust, using curve25519-dalek

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://crates.io/crates/x25519-dalek
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(curve25519-dalek) >= 3.0.0 with crate(curve25519-dalek) < 4.0.0~)
BuildRequires:  (crate(curve25519-dalek/std) >= 3.0.0 with crate(curve25519-dalek/std) < 4.0.0~)
BuildRequires:  (crate(curve25519-dalek/u64_backend) >= 3.0.0 with crate(curve25519-dalek/u64_backend) < 4.0.0~)
BuildRequires:  (crate(rand_core) >= 0.5.0 with crate(rand_core) < 0.6.0~)
BuildRequires:  crate(zeroize/zeroize_derive) = 1.3.0
%if %{with check}
BuildRequires:  (crate(bincode/default) >= 1.0.0 with crate(bincode/default) < 2.0.0~)
BuildRequires:  (crate(criterion/default) >= 0.3.0 with crate(criterion/default) < 0.4.0~)
%endif

%global _description %{expand:
X25519 elliptic curve Diffie-Hellman key exchange in pure-Rust, using
curve25519-dalek.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+fiat_u32_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fiat_u32_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "fiat_u32_backend" feature of the "%{crate}" crate.

%files       -n %{name}+fiat_u32_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+fiat_u64_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fiat_u64_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "fiat_u64_backend" feature of the "%{crate}" crate.

%files       -n %{name}+fiat_u64_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+our_serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+our_serde-devel %{_description}

This package contains library source intended for building other packages which
use the "our_serde" feature of the "%{crate}" crate.

%files       -n %{name}+our_serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+reusable_secrets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+reusable_secrets-devel %{_description}

This package contains library source intended for building other packages which
use the "reusable_secrets" feature of the "%{crate}" crate.

%files       -n %{name}+reusable_secrets-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+u32_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u32_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "u32_backend" feature of the "%{crate}" crate.

%files       -n %{name}+u32_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+u64_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u64_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "u64_backend" feature of the "%{crate}" crate.

%files       -n %{name}+u64_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> - 1.2.0-1
- Update to 1.2.0
- Enable tests
* Thu Jul 15 2021 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Initial package
